Bug 495948 - WebCam NX Ultra did not work
WebCam NX Ultra did not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 13:03 EDT by Teguh DC
Modified: 2009-09-13 04:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-13 04:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Teguh DC 2009-04-15 13:03:18 EDT
Description of problem:
my creative webcam nx ultra did not work

Version-Release number of selected component (if applicable):
kernel 2.6.27.21-170.2.56.fc10.i686
v4l2-tool-1.0.3-2.fc9.i386
cheese-2.24.3-1.fc10.i386
ucview-0.22-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. plug in the usb webcam
2. start cheese/ucview
3.
  
Actual results:
did not work

Expected results:
work

Additional info:
lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 005: ID 041e:401d Creative Technology, Ltd WebCam NX Ultra
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 04f3:0210 Elan Microelectronics Corp. AM-400 Hama Optical Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

dmesg
usb 4-1: new full speed USB device using uhci_hcd and address 5
usb 4-1: configuration #1 chosen from 1 choice
gspca: probing 041e:401d
gspca: probe ok
usb 4-1: New USB device found, idVendor=041e, idProduct=401d
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 4-1: Product: Creative WebCam NX Ultra
usb 4-1: Manufacturer: Creative

error msg when start cheese from console
libv4l2: error dequeuing buf: Input/output error
Comment 1 Filipe Rosset 2009-04-29 13:15:48 EDT
If you need new gspca drivers is a good idea update your v4l2 installation and
modules.

hg clone http://linuxtv.org/hg/v4l-dvb v4l/
cd v4l/
make
make install
modprobe gspca_spca505 (this module support your webcam)

If it's doesn't working, on updates-testing repository kernel 2.6.29 is available and probably workd with your hardware...

Please test and report.
Comment 2 Teguh DC 2009-05-09 11:11:30 EDT
Thanks filipe and sorry for my late response

i try update v4l module as you suggested. and my webcam work :)

in which kernel this module is ready out of the box, 2.6.29 ?
Comment 3 Filipe Rosset 2009-05-09 13:01:10 EDT
I don't remeber correctly. 2.6.29, 2.6.30 or 2.6.31 :)
Comment 4 Hans de Goede 2009-09-13 04:01:31 EDT
2.6.31 is in rawhide, so this definitely is fixed in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.